DevOps 的弹性合作
=================================

![](http://devops.com/wp-content/uploads/2016/05/ScalingCollaboration.jpg)

那些熟悉 DevOps 的人通常认为与其说 DevOps 是一种技术不如说是一种文化。在 DevOps 的有效实践上需要一些特定的工具和经验，但是 DevOps 成功的基础在于企业内如何做好[团队和个体协作][1]，从而可以让事情更快、更高效而有效的完成。

大多数的 DevOps 平台和工具都是以可扩展性为设计理念的。DevOps 环境通常运行在云端，并且容易发生变化。对于DevOps 软件来说，支持实时伸缩以解决冲突和摩擦是重要的。这同样对于人的因素也是一样的，但弹性合作却是完全不同的。

跨企业协同是 DevOps 成功的关键。好的代码和开发最终需要形成产品才能给用户带来价值。公司所面临的挑战是如何做到无缝衔接和尽可能的提高速度及自动化水平，而不是牺牲质量或性能。企业如何才能流水线化代码的开发和部署，同时保持维护工作的明晰、可控和合规？

### 新兴趋势

首先，我先提供一些背景，分享一些 [451 Research][2] 在 DevOps 及其常规应用方面获取的数据。云、敏捷和Devops 的能力在今天是非常重要的，不管是理念还是现实。451 研究公司发现采用这些东西以及容器技术的企业在不断增多，包括在生产环境中的大量使用。

拥抱这些技术和方式有许多优点，比如提高灵活性和速度，降低成本，提高适应能力和可靠性，适应新的或新兴的应用。据 451 Research 称，团队也面临着一些障碍，包括缺乏熟悉其中所需的技能的人、这些新兴技术的不成熟、成本和安全问题等。

在 “[Voice of the Enterprise: SDI Q4 2015 survey][2]” 报告中，451 Research 发现超过一半的受访者（57.1%）考虑他们稍晚些再采用，甚至会最后才采用这些新技术。另一方面，近半受访者（48.3 %）认为自己是率先或早期的采用者。

这些普遍性的情绪也表现在对其他问题的调查中。当问起容器的执行情况时，50.3% 的人表示这根本不在他们的计划中。剩下 49.7% 的人则是在计划、试点或积极使用容器技术。近 2/3（65.1%）的人表示，他们用敏捷开发方式来开发应用，但是只有 39.6% 的人回应称他们正在积极拥抱 DevOps。然而，敏捷软件开发已经在行业内存在了多年，451 Research 注意到容器和 Devops 的采用率显著提升，这是一个新的趋势。

当被问及首要的三个 IT 痛点是什么，被提及最多的是成本或预算、人员不足和遗留软件问题。随着企业向云、DevOps、和容器等转型，这些问题都需要加以解决，以及如何规划技术和有效协作。

### 当前状况

软件行业正处于急剧变化之中，这很大程度是由 DevOps 所推动的，它使得软件开发变得越来越横跨整个业务高度集成。软件的开发变得不再闭门造车，而越来越体现协作和社交化的功能。

几年还是在小说和展板中的理念和方法迅速成熟，成为了今天推动价值的主流技术和框架。企业依靠如敏捷、精益、虚拟化、云计算、自动化和微服务等概念来简化开发，同时使工作更加有效和高效。

为了适应和发展，企业需要完成一系列的关键任务。当今面临的挑战是如何加快发展的同时降低成本。团队需要消除 IT 和其他业务之间存在的障碍，并在一个由技术驱动的竞争环境中提供更多有效的战略合作。

敏捷、云计算、DevOps 和容器在这个过程中起着重要的作用，而将它们连接在一起的是有效的合作。每一种技术和方法都提供了独特的优势，但真正的价值来自于团队作为一个整体能够进行规模协同，以及团队所使用的工具和平台。成功的 DevOps 的实现也需要开发和 IT 运营团队之外其他利益相关者的参与，包括安全、数据库、存储和业务队伍。

### 合作即平台

有一些在线的服务和平台，比如 Github 促进和增进了协作。这个在线平台的功能是一个在线代码库，但是所产生的价值远超乎存储代码。

这样一个[协作平台][4]之所以有助于开发人员和团队合作，是因为它提供了一个可以分享和讨论代码和流程的社区。管理者可以监视进度和跟踪将要发布的代码。开发人员在将实验性的想法放到实际的产品环境中之前，可以在一个安全的环境中进行实验，新的想法和实验可以有效地与适当的团队进行沟通。

更加敏捷的开发和 DevOps 的关键之一是允许开发人员测试一些东西并快速收集相关的反馈。目标是生产高质量的代码和功能，而不是浪费时间建立和管理基础设施或者安排更多的会议来讨论这个问题。比如 GitHub 平台，能够更有效的和可扩展的协作是因为当参与者想要进行代码审查时很方便。不需要尝试协调和安排代码审查会议，所以开发人员可以继续工作而不被打断，从而产生更大的生产力和工作满意度。

Sendachi 的 Steven Anderson 指出，Github 是一个协作平台，但它也是一个和你一起工作的工具。这样意味着它不仅可以帮助协作和持续集成，还影响了代码质量。

合作平台的好处之一是，大型团队的开发人员可以分解成更小的团队，可以更有效地专注于特定的组件。它还提供了诸如文件共享这样的代码之外的功能，模糊了技术和非技术的贡献，增加了协作和可见性。

### 合作是关键

合作的重要性不言而喻。合作是 DevOps 文化的关键，也是在当今世界能够进行敏捷开发并保持竞争优势的决定因素。执行或管理支持以及内部传道是很重要的。团队还需要拥抱文化的转变---迈向共同目标的跨职能部门的技能融合。

要建立起来这样的文化，有效的合作是至关重要的。一个合作平台是弹性合作的必要组件，因为简化了生产活动，并且减少了冗余和尝试，同时还产生了更高质量的结果。

--------------------------------------------------------------------------------

via: http://devops.com/2016/05/16/scaling-collaboration-devops/

作者：[TONY BRADLEY][a]
译者：[Bestony](https://github.com/Bestony)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://devops.com/author/tonybsg/
[1]: http://devops.com/2014/12/15/four-strategies-supporting-devops-collaboration/
[2]: https://451research.com/
[3]: https://451research.com/customer-insight-voice-of-the-enterprise-overview
[4]: http://devops.com/events/analytics-of-collaboration-on-github/
