Linux 笔记本电脑选购指南
============================================================

众所周知，如果你去电脑城[购买一个新的笔记本电脑][5]，你所见到的尽是预安装了 Windows 或是 Mac 系统的笔记本电脑。无论怎样，你都会被迫支付一笔额外的费用—— 微软系统的许可费用或是苹果电脑背后的商标使用权费用。

当然，你也可以选择购买一款笔记本电脑，然后安装自己喜欢的操作系统。然而，最困难的可能是需要找到一款硬件跟你想安装的操作系统兼容性良好的笔记本电脑。

在此之上，我们还需要考虑硬件驱动程序的可用性。那么，你应该怎么办呢？答案很简单：[购买一款预安装了 Linux 系统的笔记本电脑][6]。

幸运的是，正好有几家值得依赖的公司提供质量好、有名气，并且预安装了 Linux 系统的笔记本电脑，这样你就不用再担心驱动程序的可用性了。

也就是说，在这篇文章中，我们将根据用户对笔记本电脑的用途列出 3 款可供用户选择的高性价比机器。

### 普通用户使用的 Linux 笔记本电脑

如果你正在寻找一款能够满足日常工作及娱乐需求的 Linux 笔记本电脑，它能够正常运行办公软件，有诸如 Firefox或是 Chrome 这样的 Web 浏览器，有局域网 / Wifi 连接功能，那么你可以考虑选择 [System76][7] 公司生产的 Linux 笔记本电脑，它可以根据用户的定制化需求选择处理器类型，内存及磁盘大小，以及其它配件。

除此之外， System76 公司为他们所有的 Ubuntu 系统的笔记本电脑提供终身技术支持。如果你觉得这听起来不错，并且也比较感兴趣，你可以考虑下 [Lemur][8] 或者 [Gazelle][9] 这两款笔记本电脑。

![Lemur Laptop for Linux](http://www.tecmint.com/wp-content/uploads/2016/11/Lemur-Laptop.png) 

*Lemur Linux 笔记本电脑*


![Gazelle Laptop for Linux](http://www.tecmint.com/wp-content/uploads/2016/11/Gazelle-Laptop.png) 

*Gazelle Linux 笔记本电脑*


### 开发者使用的 Linux 笔记本电脑

如果你想找一款坚固可靠，外观精美，并且性能强悍的笔记本电脑用于开发工作，你可以考虑一下 [Dell 的 XPS 13 笔记本电脑][10]。

这款 13 英寸的精美笔记本电脑，配置全高清 HD 显示器，触摸板，售价范围视其配置情况而定，CPU 代号/型号：Intel 的第 7 代处理器 i5 和 i7，固态硬盘大小：128 至 512 GB，内存大小：8 至 16 GB。


![Dells XPS Laptop for Linux](http://www.tecmint.com/wp-content/uploads/2016/11/Dells-XPS-Laptops.png) 

*Dell XPS Linux 笔记本电脑*

这些都是你应该考虑在内的重要因素，Dell 已经做得很到位了。不幸的是，Dell ProSupport 为该型号的笔记本电脑仅提供 Ubuntu 16.04 LTS 系统的技术支持（在写本篇文章的时候 - 2016 年 12 月）。 

### 系统管理员使用的 Linux 笔记本电脑

虽然系统管理员可以顺利搞定在裸机上安装 Linux 系统的工作，但是使用 System76 的产品，你可以避免寻找各种驱动并解决兼容性问题上的麻烦。

之后，你可以根据自己的需求来配置电脑特性，你可以提高笔记本电脑的性能，增加内存到 32 GB 以确保你可以运行虚拟化环境并进行各种系统管理相关的任务。

如果你对此比较感兴趣，你可以考虑购买 [Kudu][12] 或者是 [Oryx Pro][13] 笔记本电脑。

![Kudu Linux Laptop](http://www.tecmint.com/wp-content/uploads/2016/11/Kudu-Linux-Laptop.png) 

*Kudu Linux 笔记本电脑*


![Oryx Pro Linux Laptop](http://www.tecmint.com/wp-content/uploads/2016/11/Oryx-Pro-Linux-Laptop.png) 

*Oryx Pro 笔记本电脑*

### 总结

在这篇文章中，我们探讨了对于普通用户、开发者及系统管理员来说，为什么购买一款预安装了 Linux 系统的笔记本是一个不错的选择。一旦你决定好，你就可以轻松自如的考虑下应该如何消费这笔省下来的钱了。

你觉得在购买一款 Linux 系统的笔记本电脑时还应该注意些什么？请在下面的评论区与大家分享。

像往常一样，如果你对这篇文章有什么意见和看法，请随时提出来。我们很期待看到你的回复。

--------------------------------------------------------------------------------

作者简介：

![](http://1.gravatar.com/avatar/d9d14c5b51331864398e6288cb0c2091?s=128&d=blank&r=g)

Gabriel Cánepa 来自 Argentina，San Luis，Villa Mercedes ，他是一名 GNU/Linux 系统管理员和网站开发工程师。目前在一家世界领先的消费品公司工作，在日常工作中，他非常善于使用 FOSS 工具来提高公司在各个领域的生产率。

--------------------------------------------------------------------------------

via: http://www.tecmint.com/buy-linux-laptops/

作者：[Gabriel Cánepa][a]
译者：[rusking](https://github.com/rusking)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出


[a]:http://www.tecmint.com/author/gacanepa/
[1]:http://www.tecmint.com/wp-content/uploads/2016/11/Lemur-Laptop.png
[2]:http://www.tecmint.com/wp-content/uploads/2016/11/Gazelle-Laptop.png
[3]:http://www.tecmint.com/wp-content/uploads/2016/11/Kudu-Linux-Laptop.png
[4]:http://www.tecmint.com/wp-content/uploads/2016/11/Oryx-Pro-Linux-Laptop.png
[5]:http://amzn.to/2fPxTms
[6]:http://amzn.to/2fPxTms
[7]:https://system76.com/laptops
[8]:https://system76.com/laptops/lemur
[9]:https://system76.com/laptops/gazelle
[10]:http://amzn.to/2fBLMGj
[11]:http://www.tecmint.com/wp-content/uploads/2016/11/Dells-XPS-Laptops.png
[12]:https://system76.com/laptops/kudu
[13]:https://system76.com/laptops/oryx
