Linux 中六个最佳 PDF 页面裁剪工具
=========================

PDF（<ruby>**可移植文档格式**<rt>Portable Document Format </rt></ruby>）可谓是众所周知，并且可能是当今使用最广泛的文档类型，特别是在可靠呈现和分享文档、软硬件及系统无关性等方面有着很大优势。

事实上，它已经成为了电子文档的业界标准，特别是在互联网上。由于这样的原因，以及越来越多的电子信息分享，很多人从 PDF 文档中得到他们想要的有用信息。

**建议阅读：** [Linux 中的八大 PDF 阅读器][1]。

在本文中，我将列举 Linux 系统中最好的六个 PDF 页面裁剪工具。

### 1、 Master PDF 编辑器

[Master PDF 编辑器][2] 是一个简单易用、方便却强大的多功能 PDF 编辑器，可以帮助你很好的处理 PDF 文档。

[![Master PDF 编辑器](http://www.tecmint.com/wp-content/uploads/2017/03/Master-PDF-Editor.png)][3]

*Master PDF 编辑器*

使用它可以很容易地查看、创建和修改 PDF 文件。它还可以将几个文档合成一个文件，以及 [将源文档分割成多个文档][4]。

此外，Master PDF 编辑器还可以帮你对 PDF 文档进行注释、签名和加密等等。

#### Master PDF 编辑器的特性

1. 跨平台，可以运行于 Linux、Windows 以及 MacOS
2. 可以创建 PDF 文档
3. 允许修改 PDF 文档中的文本和对象
4. 支持 PDF 文档注释
5. 支持 PDF 创建和填充表单
6. 支持光学文本识别（OCR）
7. 支持多页面操作
8. 支持书签和数字签名
9. 搭载有一个虚拟 PDF 打印机

### 2、 PDF Quench

[PDF Quench][5] 是一个用于 PDF 页面裁剪的图形化 Python 应用。

[![PDF Quench 编辑器](http://www.tecmint.com/wp-content/uploads/2017/03/PDF-Quench.png)][6]

*PDF Quench 编辑器*

它可以让用户以合适的旋转角度来裁剪页面，将裁剪框定义为与 meda 框相同的位置，这有助于处理第二次裁剪的问题。

### 3、 PDF Shuffler

[PDF-Shuffler][7] 是一个小巧、简单和免费的 python-gtk 应用，由 python-pyPdf 进行图形界面封装而来。

[![PDF Shuffler 编辑器](http://www.tecmint.com/wp-content/uploads/2017/03/PDF-Shuffler.png)][8]

*PDF Shuffler 编辑器*

通过 PDF-Shuffler，你可以使用一个直观的交互式图形用户界面，来合并或者分割 PDF 文档，以及旋转、裁剪和重组页面。

### 4、 Krop

[Krop][9] 是一个简单、免费的图形用户界面应用，用于裁剪 PDF 文件页面。它是使用 Python 编写的，并且只能运行于 Linux 系统。

[![Krop PDF 编辑器](http://www.tecmint.com/wp-content/uploads/2017/03/Krop-PDF-Editor.png)][10]

*Krop PDF 编辑器*

它依赖于 PyQT、python-poppler-qt4 和 pyPdf 或 PyPDF2 来支持自身的全部功能。其主要特性之一就是可以如同 eReaders 一样，将页面分为多个子页面以适应设备屏幕尺寸的限制。

### 5、 Briss

[Briss][11] 是一个简单、免费的跨平台程序，用于裁剪 PDF 文档，它可以工作于 Linux、Windows 和 Mac OSX。

[![Briss PDF 编辑器](http://www.tecmint.com/wp-content/uploads/2017/03/Briss-PDF-Editor.png)][12]

*Briss PDF 编辑器*

其中，有一个显著的特性是其直观的图形用户界面允许你直接以可视的方式在页面上调整矩形框来精确定义裁剪区域，当然还有其他更多有用的特性。

### 6、 PDFCrop

[PDFCrop][13] 是一个 Linux 平台的 PDF 裁剪应用，使用 Perl 语言编写。它要求系统已安装好 ghostscript (用于寻找 PDF 文件的页面边界框) 和 PDFedit (用于裁剪和重设页面尺寸)。

它能让你裁剪掉 PDF 页面中的白色边界，并重新调整页面大小以适应标准尺寸的纸张；所得到的页面打印后通常更具可读性和引人注目。

它主要用于学术界人士，使他们能够用习惯的方式来打印下载的期刊论文。PDFCrop 也适用于这些人：他们经常接收到以信纸大小来组织页面的 PDF 文档，但却需要打印为 A4 纸大小 (或者是相反的情况)。

至此，文毕。在本文中，我列举了在 Linux 中六个最好用的 PDF 页面裁剪工具及其主要特性。是不是还有其他的工具被我遗漏了呢？请通过评论向我分享哦。

--------------------------------

作者简介：

Aaron Kili 是一名 Linux 和 F.O.S.S 忠实拥护者、高级 Linux 系统管理员、Web 开发者，目前在 TecMint 是一名活跃的博主，热衷于计算机并有着强烈的知识分享意愿。

-------------------------------

译者简介：

[GHLandy](http://GHLandy.com) —— 生活中所有欢乐与苦闷都应藏在心中，有些事儿注定无人知晓，自己也无从说起。

-------------------------------

via: http://www.tecmint.com/best-pdf-page-cropping-tools-for-linux/

作者：[Aaron Kili][a]
译者：[GHLandy](https://github.com/GHLandy)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.tecmint.com/author/aaronkili/

[1]:http://www.tecmint.com/linux-pdf-viewers-and-readers-tools/
[2]:https://code-industry.net/masterpdfeditor/
[3]:http://www.tecmint.com/wp-content/uploads/2017/03/Master-PDF-Editor.png
[4]:http://www.tecmint.com/split-large-tar-into-multiple-files-of-certain-size/
[5]:https://github.com/linuxerwang/pdf-quench
[6]:http://www.tecmint.com/wp-content/uploads/2017/03/PDF-Quench.png
[7]:https://github.com/jeromerobert/pdfshuffler
[8]:http://www.tecmint.com/wp-content/uploads/2017/03/PDF-Shuffler.png
[9]:http://arminstraub.com/software/krop
[10]:http://www.tecmint.com/wp-content/uploads/2017/03/Krop-PDF-Editor.png
[11]:http://briss.sourceforge.net/
[12]:http://www.tecmint.com/wp-content/uploads/2017/03/Briss-PDF-Editor.png
[13]:http://pdfcrop.sourceforge.net/
[14]:http://www.tecmint.com/author/aaronkili/
[15]:http://www.tecmint.com/10-useful-free-linux-ebooks-for-newbies-and-administrators/
[16]:http://www.tecmint.com/free-linux-shell-scripting-books/
