10 个使用 Cinnamon 作为 Linux 桌面环境的理由
============================================================

> Cinnamon 是一个让人怀旧 GNOME 2 的 Linux 桌面环境，它灵活、快速，并提供了种种的功能。

![10 reasons to use Cinnamon as your Linux desktop environment](https://opensource.com/sites/default/files/styles/image-full-size/public/cinnamon.jpg?itok=rPZvjqGr "10 reasons to use Cinnamon as your Linux desktop environment") 

最近我安装了 Fedora 25，我觉得当前的 [KDE][3] Plasma 版本并不稳定。在我决定尝试其它的桌面之前一天崩溃了好几次。在我安装了几个其它的桌面，并每个尝试了几个小时后，我最终决定在 Plasma 打上补丁并且稳定之前就使用 Cinnamon 了。以下是我所发现的。

### Cinnamon 简介

在 2011，带有新的 GNOME Shell 的 GNOME 3 发布了，新的界面马上引来了或正或反的反馈。许多用户以及开发者非常喜欢原先的 GNOME 界面，因此有多个组织复刻了它，其中一个结果就是 Cinnamon。

开发 GNOME 3 的 GNOME shell 背后的原因之一是许多原先的 GNOME 用户界面组件不再活跃开发了。这同样也是 Cinnamon 以及其他 GNOME 复刻项目的问题。 Linux Mint 项目是 Cinnamon 的一个首要推动者，因为 GNOME 是 Mint 的官方桌面环境。Mint 开发者已经将 Cinnamon 推进到了不需要 GNOME 本身的地步，Cinnamon 已经是一个完全独立的桌面环境，它保留了许多用户喜欢的 GNOME 界面的功能。

![cinnamon-desktop-environment.jpg](https://opensource.com/sites/default/files/images/life-uploads/cinnamon-desktop-environment.jpg) 

*图 1：打开系统设置工具的默认 Cinnamon 桌面。*

Cinnamon 3.2 是当前发布版本。除了 Mint，Cinnamon 还在许多发行版中可用，包括 Fedora、Arch、Gentoo、Debian 和 OpenSUSE 等。

### 使用 Cinnamon 的理由

这是我的使用 Cinnamon 的 10 个重要理由：

1.  **集成。** 桌面的选择并不取决于在较长时间内是否有为它写的应用。我使用过的所有应用程序，不管它是在哪个桌面下写的，它都可以在任何其它桌面上运行正常，Cinnamon 也不例外。要运行那些为 KDE、GNOME 或其他桌面编写的程序所需要的库都有，可以在 Cinnamon 上面顺滑地使用这些程序。
2.  **外观。** 让我们面对它，外观是很重要的。Cinnamon 有一个明快的、干净的外观，它使用了易于阅读的字体以及颜色的组合。桌面没有不必要的阻碍，你可以使用“系统设置” => “桌面” 菜单配置显示在桌面上的的图标。这个菜单还允许你指定是否在主监视器、次监视器或者所有监视器上显示桌面图标。
3.  **桌面组件。** 桌面组件是一些小型的、可以添加到桌面的单一用途的程序。只有一些是可用的，但是你可以从 CPU 或者磁盘监视器、天气应用、便利贴、桌面相簿、时间和日期等之中选择。我喜欢时间和日期桌面组件，因为它比 Cinnamon 面板中的小程序易于阅读。
4.  **速度。** Cinnamon 快速又敏捷。程序加载和显示很快。桌面自身在登录时加载也很快，虽然这只是我的主观体验，并没有基于时间测试。
5.   **配置。 ** Cinnamon 不如 KDE Plasma 那样可配置，但是也要比我第一次尝试它的时候有更多的配置。Cinnamon 控制中心提供了许多桌面配置选项的集中访问。它有一个主窗口，可以从它启动特定功能的配置窗口。可以很容易地在 “系统设置” 的 “主题” 的可用外观中选择新的外观。你可以选择窗口边框、图标、控件、鼠标指针和桌面基本方案。其它选择还包括字体和背景。我发现这些配置工具中有许多是我遇到的最好的。它有适量的桌面主题，从而能够显著改变桌面的外观，而不会像 KDE 那样面临选择困难。
6.  **Cinnamon 面板。** Cinnamon 面板，即工具栏，最初的配置非常简单。它包含用于启动程序的菜单、基本的系统托盘和应用程序选择器。这个面板易于配置，并且添加新的程序启动器只需要定位你想要添加到主菜单的程序，右键单击程序图标，然后选择“添加到面板”。你还可以将启动器图标添加到桌面本身，以及 Cinnamon 的 “收藏” 的启动栏中。你还可以进入面板的**编辑**模式并重新排列图标。
7.  **灵活性。** 有时可能很难找到最小化或者隐藏的正在运行的程序，如果有许多正在运行的应用程序，则在工具栏的程序选择器上查找它可能会有挑战性。 在某种程度上，这是因为程序并不总是有序地排在选择器中使其易于查找，所以我最喜欢的功能之一就是可以拖动正在运行的程序的按钮并将其重新排列在选择器上。这可以使查找和显示属于程序的窗口更容易，因为现在它们现在在我放的位置上。

	Cinnamon 桌面还有一个非常好的弹出菜单，你可以右键单击访问。此菜单有一些常用任务，例如访问桌面设置、添加桌面组件以及其他与桌面相关的任务。

	其它菜单项之一是 “创建新文档”，它使用位于 `~/Templates` 目录中的文档模板，并列出它们中的每一个。只需点击要使用的模板，使用这个模板的文档就会使用默认的 Office 程序创建。在我的情况下，那就是 LibreOffice。
8.  **多工作空间。** Cinnamon 像其他桌面环境一样提供了多个桌面。Cinnamon 称它为“工作区”。工作区选择器位于 Cinnamon 面板中并展示每个工作区的窗口概览。窗口可以在工作区之间移动或指定到所有工作区。我确实发现工作区选择器有时候会比窗口位置的显示慢一些，所以我将工作区选择器切换为显示工作区编号，而不是在工作区中显示窗口概览。
9.  **Nemo。** 大部分桌面因种种目而使用它们自己偏好的默认程序，Cinnamon 也不例外。我偏好的桌面文件管理器是 Krusader，但是 Cinnamon 默认使用 Nemo，因此在测试中我就用它了。我发现我很喜欢 Nemo。它有一个美丽干净的界面，我喜欢大部分功能并经常使用。它易于使用，同时对我的需求也足够灵活。虽然 Nemo 是 Nautilus 的复刻，但是我发现 Nemo 更好地被集成进了 Cinnamon 环境。Nautilus 界面看上去没有与 Cinnamon 很好集成，与 Cinnamon 不太和谐。
10.  **稳定性。**  Cinnamon 非常稳定且可用。

### 总结

Cinnamon 是 GNOME 3 桌面的复刻，它看上去像一个前所未有的 GNOME 桌面。它的发展看起来是符合逻辑的改进， Cinnamon 开发者认为需要在提升和扩展 GNOME 的同时保留它的独特性以及被大家非常喜欢的特性。它不再是 GNOME 3 - 它是不同的并且是更好的。Cinnamon 看上去很棒，并且对我而言也工作得很好，并且从 KDE 这个我仍旧非常喜欢的环境切换过来也很顺畅。我花费了几天时间学习 Cinnamon 的差异如何使我的桌面体验更好，并且我非常高兴了解这个很棒的桌面。

虽然我喜欢 Cinnamon，但我仍然喜欢体验其它的环境，我目前正切换到 LXDE 桌面，并已经用了几个星期。在我使用一段时间时候，我会分享我的 LXDE 体验。

（题图： [Sam Mugraby][1]，Photos8.com. [CC BY 2.0][2]）

--------------------------------------------------------------------------------

作者简介：

![](https://opensource.com/sites/default/files/styles/profile_pictures/public/david-crop.jpg?itok=oePpOpyV)

David Both 是一个 Linux 和开源倡导者，他居住在北卡罗莱纳州的 Raleigh。他在 IT 行业已经超过 40 年，在他工作的 IBM 公司教授 OS/2 超过 20 年，他在 1981 年为最早的 IBM PC 写了第一个培训课程。他教过 Red Hat 的 RHCE 课程，在 MCI Worldcom、 Cisco 和北卡罗莱纳州 工作过。他一直在使用 Linux 和开源软件近 20 年。

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/1/cinnamon-desktop-environment

作者：[David Both][a]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/dboth
[1]:https://commons.wikimedia.org/wiki/File:Cinnamon-other.jpg
[2]:https://creativecommons.org/licenses/by/2.0/deed.en
[3]:https://opensource.com/life/15/4/9-reasons-to-use-kde
