如何从参与开源项目的过程中获取自信
===============

 ![如何从参与开源项目的过程中获取自信](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/open_community_lead.jpg?itok=anXgpnwG "How to gain confidence to participate in open source")


随着大脑的发育，你渐渐学会了这世上什么事情可以/应该做，以及什么事情不能/不应该做。你所有的行为都受到周围大众的影响，很多时候，阻碍你参与某事的原因就是你缺乏自信。

纵观我们的生活，我们都或多或少的受到了世俗和社会行为的“教条”影响。我们可能从小就被这样教育：演说家说的都是真理、CEO 都是有远见的、警察维护社会秩序，尊重别人代表着静听让人把话说完，如果人家说错了，你要看场合轻柔的指出来 —— 好吧，这有点复杂。

当你决心参与到开源项目之中去的时候，自信将扮演重要角色。开源社区有其固有的参与性。参与就相当于开源世界的流通货币，持有该货币的量取决于你的自信。你的参与性越高、技能越高、分享你的想法和简洁次数越多，你就越能通过自己的提交 (commit) 来改善某一个项目。所有这些都需要你有很强的信念 —— 你有值得分享的事情 —— 并且你会常常思考自己要做什么、分享什么。

这里不得不说说这样一个事实：我们每一个人都一些值得分享的事情。但是你要找出这个值得分享的事情是什么，以及在哪个位置分享它才能把这个分享推向最积极、最有意义的一面。

认真思考一下三点，这将增强你的自信，并能让你在开源社区中更容易取得进步。

### 没有人会站在你的角度来看待你

你要时刻谨记着：你是完全独立的个人，他人对你做出的评论就像是不存在一样，只有这样才能更好的获得自信。

我们都习惯了这样认知，周围的人都是根据我们的行为来做出评判的。这一习惯是学习如何更像社会群体一样生活的副产品。而且很可能在我们的童年，父母根据我们的行为设置的奖励机制时，这个习惯就根植我们心底。到了青春期，老师们对我们的表现来评价，给我们划分等级和分数，拿我们和身边的小伙伴对比。这样的动力和奖励机制给我们的大脑建立了一个包括自我反思在内的反馈回路。我们需要预测自己能否得到回报，并要为那些可能发生的事情做好应对。

现今的我们都有这样第一个疑惑：身边的人是如何看我的？然而，真相是多数人都不会花太多时间来对你进行正确客观的评价。我们所有人只是关注自己的回报，我们有自己热衷于某件事的的热情、有大量急待解决的问题。也有一些人忙于关心他们自己如何影响身边的人，他们并不会在身上花费时间。他们根本不会注意到你是否出错、大声谈话还是像他们的背景音乐一样。所有的那些疑惑都只是在你自己的脑海中而已，而非在其他任何人脑中。

我们需要被人们所接受的愿望也是人生意义的一部分，但是这类受我们所遇之人的一时兴起。这些人可能对我们缺乏全面认识，比如我们叫什么、我们来自哪里、形成我们认知的经历，等等。我们能否为人们所接受是一件不受我们自身控制的事情。但是，我们是可以通过与之交流来改变的。

在开源的社区化世界里，记住这一点是非常重要的：人们是不会过多的考虑你的感受的。因为你的同事和导师都在忙于其它项目或则社区成员。

一旦你认知了这一点，通过积极地沟通来热情拥抱这个世界吧。寻求帮助、告知他人你的需求、指出你的贡献、让人们知道你和他们在一起努力、你也是这个社区中的活跃分子。当人们向你靠拢 ——而非相反 —— 时，你的开源可信度和自信会得到极大的提高。

### 所有人都热衷于分享自己熟知的事情

任何成功的开源社区都是一个包含教和学的社区。为沐浴在开源中，你不仅需要用到自身的已有知识，还需要不断的吸收消化其他人提供课程中的知识。幸运的是，人们都普遍热衷于分享他们熟悉的事情。

思考一下，当他人问及你的观点时，你是什么感受。得知他人认可了你所说的观点，对你的本我和自我是多么美好的一件事。

在儿童期时，我们的大脑并没有那么发达，无法为我们容纳现实世界中大量的信息量。我们曾一度认为自己是世界的中心。在六岁以前，我们的认知一直在不断成长。在此期间，我们的父母会因我们哭泣而做出回应，周围的成年人都会满足我们要求。这会在我们心底形成自己在世界上最重要的证据。

我们的神经回路在此期间建立完成，我们的性格也在此期间形成。随着我们学会参与社会和城市的生活，我们逐渐的认识到自己并非世界的中心。然而，最初形成并深植我们心底那种意识并不会因此马上就消除掉。正确理解我们在整个社会氛围中的个人意识将有助于你与他人建立连接并融洽相处。

在团结协作中慢慢积累学习经验可以很好的磨练自己、发展自己社会关系和提高自身技能。想要进军开源的世界，不断地学习是不可或缺的。

那么，这些和自信有些什么关系呢？通过表明你重视他人的知识和付出，你提高的不仅是他们的自信，还有你自己的自信。那时你将会感到更加灵活。有些时候，你不得不承认自己也有不懂的地方。

自信的人也许会说“是的，我不知道”，但却不会因此而沮丧。

### 一分耕耘，一分收获

你一定听过“不懂装懂，永远是饭桶”。这样说吧，自信就像其他很多的心理现象。积极地提示自己：我很聪明、有趣、引人关注、极富天赋、健谈、是一个很好的伙伴、独一无二、知识面广、学习能力强、常常自省的思想者，或者是其他你想要具备的特质，久而久之你就会觉得自己就是这样的人。并且，如果这可以在你身上生效，在其他人身上也一样。。

我们把这个称为自我肯定。

此外，在开源的世界中，你是如何为人考虑、如何待人，那么反过来，他人也会是这样的。如果你想在开源贡献中获得成功，你就要有足够的自信来相信自己坚持的立场和事物，当然了，你要以一种可以让人接受的方式来表现，同时还要包容其他的意见和观点。领导者的标志就是，在生活中塑造他们想要看到的形象，而不管是否有他人模仿。

那么，你是否有其他增强自信的方法呢？记得在评论区告诉我们哦。

（题图：[Gabriel Kamener, Sown Together][1] 原创，经 Jen Wike Huger 修改。）

----------------------------------

作者简介：

![](https://opensource.com/sites/default/files/styles/profile_pictures/public/profilepicsq_0.jpg?itok=CVMJs36A)

Laura Hilliger - 艺术家、教育事业者、作家、技术专家。她是一个多媒体设计师和开发者、技术联络员、项目经理、一个开放且喜欢协作环境的网络黑客。她主张变革，目前为发展壮大绿色和平组织而辛勤工作。Alum @Mozilla，UC Berkeley，BAVC， Adobe。Twitter @epilepticrabbit 。

----------------------------------

译者简介：

![GHLandy](http://GHLandy.com/images/GHLandy.ico)

[GHLandy](http://GHLandy.com) —— 欲得之，则为之奋斗 (If you want it, work for it.)。

-----------------------------------

via: https://opensource.com/article/17/1/3-ways-improve-your-confidence

作者：[Laura Hilliger][a]
译者：[GHlandy](https://github.com/GHlandy)
校对：[Bestony](https://github.com/Bestony)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/laurahilliger
[1]:https://www.flickr.com/photos/42647587@N06/
